<?php
require_once 'config.php';
j2_leagues_matches_past();

function j2_leagues_matches_past(){
    global $wpdb;
    global $conn;
    $lang = isset($_GET['lang']) && strlen($_GET['lang']) === 2 ? $_GET['lang'] : 'en';
    $table_id = isset($_GET['id']) && (int)$_GET['id'] ? $_GET['id'] : null;
    $season = isset($_GET['season'])  ? $_GET['season'] : null;

    $tables = [];
    //get Leagues
    $leagues_array = array();

    if($table_id){
        $sql = "SELECT * from sp_relations WHERE post_type='sp_table' and ID='{$table_id}' and lang='{$lang}'";
        $tables[] = $table_id;
    }else if($season){
        $sql = "SELECT * from sp_relations WHERE post_type='sp_table' and taxonomy='sp_season' and  term_taxonomy_name='{$season}' and lang='{$lang}'";
        $tables1 = query($sql);
        foreach ($tables1 as $t){
            $tables[] = $t['ID'];
        }
    }else{
        $sql = "SELECT * from sp_relations WHERE post_type='sp_table' and taxonomy='sp_season' and lang='{$lang}'";
        $tables1 = query($sql);
        foreach ($tables1 as $t){
            $tables[] = $t['ID'];
        }
    }


    //get data for every table
    foreach ($tables as $table_id){
        $sql = "SELECT * from sp_relations WHERE post_type='sp_table' and ID='{$table_id}' and lang='{$lang}'";
        $table_r = query($sql);
        $teams = [];
        foreach ($table_r as $tr){
            if($tr['taxonomy'] == 'sp_season'){
                $season = $tr['term_taxonomy_name'];
                $season_id = $tr['term_id'];
            }
            if($tr['taxonomy'] == 'sp_league'){
                $league = $tr['term_taxonomy_name'];
                $league_id = $tr['term_id'];
            }
        }

        $sql = "SELECT sp_teams.ID as id,sp_teams.post_title title,sp_teams.img as image from sp_teams WHERE  lang='{$lang}'";
        $teams =  query($sql,true);

        $sql = "SELECT * from sp_events WHERE post_status ='publish' and sp_day <> '' and  league_id='{$league_id}' and  season_id='{$season_id}' and lang='{$lang}' and DATE(post_date) < DATE(NOW()) order by post_date DESC";
        $matches = query($sql);

        foreach ($teams as $k=>$team){
            $team_id = (int)$team['id'];

            $table_stats = [
                            "games" => 0,
                            "win" => 0,
                            "draw" =>0,
                            "lose" => 0,
                            "has_goals" =>0,
                            "Goals_on_him" => 0,
                            "Goal_difference" => 0,
                            "points" => 0,
                            "order" => 1,
                        ];
            $direct_match = [];
            $score = 0;


            foreach ($matches as $match){
                $result = $match['match_result']??'';
                $results = unserialize($result);
                $team_ids = explode(',', str_replace(' ', '', $match['teams'])?? '');

                if (!in_array($team_id,$team_ids ))
                    continue;


                //[games]
                $table_stats['games'] += 1;

                $resultMatch1 = !empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
                $resultMatch2 = !empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;

                $my_result = $results[$team_id];
                if ($team_id == $team_ids[0]) {
                    $other_id=$team_ids[1];
                    $other_result =!empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;
                }else{
                    $other_id=$team_ids[0];
                    $other_result =!empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
                }
                 $g = $my_result['goals'];
                $outcome = $my_result['outcome'];

                $g1 =isset($resultMatch1['goals']) ? intval($resultMatch1['goals']) : '';
                $g2 =isset($resultMatch2['goals']) ? intval($resultMatch2['goals']) : '';

                    if($outcome=='win'){
                        $direct_match [] = [$other_id=>$g];
                    }
                    $table_stats['win'] += $outcome=='win' ?1:0;
                    $table_stats['draw'] += $outcome=='draw' ?1:0;
                    $table_stats['lose'] += $outcome=='lose' ?1:0;
                    $table_stats['has_goals'] += $g;
                    $table_stats['points'] += $outcome =='win' ? 2:(($outcome == 'draw')?1:0);
                    $table_stats['order'] = 1;

                if ($team_id == $team_ids[0]){
                    $match_type = 'home';
                    $table_stats['Goals_on_him'] += $g2;
                    $table_stats['Goal_difference'] += ($g1-$g2);

                }else{
                    $match_type = 'guest';
                    $table_stats['Goals_on_him'] += $g1;
                    $table_stats['Goal_difference'] += ($g2-$g1);
                }

            }//foreach matches


            $teams[$k]['id'] = (int)$team['id'];
            $teams[$k]['table_stats'] = $table_stats;
            $teams[$k]['points'] = (int)$table_stats['points'];
            //$teams[$k]['score'] = 0;
            $teams[$k]['order'] = (int)$table_stats['order'];
           // $teams[$k]['direct_match'] = $direct_match;
        }//end foreach teams

        usort($teams, function($a, $b) {
            return $b['table_stats']['points'] <=> $a['table_stats']['points'];
        });

        $same_points = [];
        //sort by the direct match
        foreach ($teams as $k=>$team){
            $points =  $team['points'];
            $teams[$k]['table_stats']['order'] = $k+1;

            if($k > 0 && $points <> 0){
                if($points == $teams[$k-1]['points']){
                    $same_points [] = [ $team['id'],$teams[$k-1]['id']];
                }
            }
        }

        if(count($same_points) > 0)
        foreach ($same_points as $same_point){
            $id1 = $same_point[0];
            $id2 = $same_point[1];
            foreach ($teams as $k=>$team){

            }
        }


        $tables_array[] = array(
            'id'   => (int)$table_id,
            'title' => "Order",
            'table_order'  => ["DESC"],
            'table_sp_orderby'  => ["points"],
            'teams'  => $teams,
        );
    }

    // get teams



    close();

    $tables_array = ['tables' => $tables_array];
    $json_pretty = json_encode( $tables_array, JSON_UNESCAPED_UNICODE);
    // Output JSON response
    header('Content-Type: application/json');
    echo $json_pretty;
    exit;
}
