<?php
require_once 'config.php';
j2_leagues_matches_past();

function j2_leagues_matches_past(){
    global $wpdb;
    global $conn;
    $lang = isset($_GET['lang']) && strlen($_GET['lang']) === 2 ? $_GET['lang'] : '';
    $league_id = isset($_GET['league_id']) && (int)$_GET['league_id'] ? $_GET['league_id'] : null;
    $season_id = isset($_GET['season_id'])  ? $_GET['season_id'] : null;

    //get app season
    $sql = "SELECT *  FROM `wp_options` WHERE `option_name` ='app_season'";
    $app_season = query($sql);
    $season_id = (int) $app_season[0]['option_value'];

    $order_by = 'H2H'; // H2H (direct match) or GD (goal deffrence)

    if(!$league_id || !$season_id){
        $json_pretty = json_encode( ['status'=>'false','message'=>'Missing League ID'], JSON_UNESCAPED_UNICODE);
        // Output JSON response
        header('Content-Type: application/json');
        echo $json_pretty;
        exit;
    }


    //get all matches
   // $sql = "SELECT * from sp_events WHERE post_status ='publish' and sp_day <> '' and  league_id='{$league_id}' and  season_id='{$season_id}' and lang='{$lang}'";
    $sql = "SELECT * from sp_events WHERE post_status ='publish' and  league_id='{$league_id}' and  season_id='{$season_id}'";
    $matches = query($sql);

    if (count($matches) == 0){
        $json_pretty = json_encode( ['status'=>'false','message'=>'No Matches Exist'], JSON_UNESCAPED_UNICODE);
        // Output JSON response
        header('Content-Type: application/json');
        echo $json_pretty;
        exit;
    }

    $today = date('Y-m-d');

    //get teams ids
    $teams_string = '';
    foreach($matches as $match) {
        $teams_string .= trim($match['teams']).',';
        $teams_string = str_replace(' ', '', $teams_string);
    }

    $lang = $match['lang'];

    $teams_ids = explode(',', $teams_string);
    $teams_ids = array_unique($teams_ids);
    $teams_ids =  array_filter($teams_ids);
    $teams_string =rtrim( implode(',', $teams_ids), ', ');

    //get all teams
    $sql = "SELECT sp_teams.ID as id,sp_teams.post_title title,sp_teams.img as image from sp_teams WHERE ID in ({$teams_string}) and lang='{$lang}'";
    $teams =  query($sql,true);

    // loop teams to get result
    foreach ($teams as $k=>$team){
        $team_id = (int)$team['id'];

        $table_stats = [
                        "games" => 0,
                        "win" => 0,
                        "draw" =>0,
                        "lose" => 0,
                        "has_goals" =>0,
                        "Goals_on_him" => 0,
                        "Goal_difference" => 0,
                        "points" => 0,
                        "position" => 1,
                    ];
        $direct_match = [];
        $score = 0;


        foreach ($matches as $match){

            //scape the future matches
            if(substr($match['post_date'],0,10) > $today)
                continue;

            $result = $match['match_result']??'';
            if(!isset($result))
                continue;


            $results = unserialize($result);
            $team_ids = explode(',', str_replace(' ', '', $match['teams'])?? '');

           if(!$results or count($results) == 0)
               continue;


            if (!in_array($team_id,$team_ids ))
                continue;

            //[games]
            $table_stats['games'] += 1;

            $resultMatch1 = !empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
            $resultMatch2 = !empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;

            $my_result = $results[$team_id];
            if ($team_id == $team_ids[0]) {
                $other_id=$team_ids[1];
                $other_result =!empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;
            }else{
                $other_id=$team_ids[0];
                $other_result =!empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
            }
            $g = $my_result['goals'];
            $outcome = $my_result['outcome'];


             $g1 =isset($resultMatch1['goals']) ? intval($resultMatch1['goals']) : '';
             $g2 =isset($resultMatch2['goals']) ? intval($resultMatch2['goals']) : '';
             //scape the Zero matches
             if($g1 == '' and $g2 == '')
                 continue;

                if($outcome=='win'){
                    $direct_match [] = [$other_id=>$g];
                }

                if(is_array($outcome) and count($outcome) == 0){
                    $table_stats['draw'] += 1;
                }else{
                    $table_stats['win'] += ($outcome=='win') ?1:0;
                    $table_stats['draw'] += ($outcome=='draw') ?1:0;
                    $table_stats['lose'] += ($outcome=='lose') ?1:0;
                }

                $table_stats['has_goals'] += $g;
                $table_stats['points'] += $outcome =='win' ? 2:(($outcome == 'draw')?1:0);
                $table_stats['position'] = 1;

            if ($team_id == $team_ids[0]){
                $match_type = 'home';
                $table_stats['Goals_on_him'] += $g2;
                $table_stats['Goal_difference'] += ($g1-$g2);

            }else{
                $match_type = 'guest';
                $table_stats['Goals_on_him'] += $g1;
                $table_stats['Goal_difference'] += ($g2-$g1);
            }

        }//foreach matches


        $teams[$k]['id'] = (int)$team['id'];
        $teams[$k]['table_stats'] = $table_stats;
        $teams[$k]['points'] = (int)$table_stats['points'];
        $teams[$k]['Goal_difference'] = (int)$table_stats['Goal_difference'];
        //$teams[$k]['score'] = 0;
        $teams[$k]['position'] = (int)$table_stats['position'];
        $teams[$k]['direct_match'] = $direct_match;

    }//end loop teams
        // first sort by points
        //$teams = array_multisort($teams, ['points'], SORT_DESC, ['Goal_difference'], SORT_DESC);
        usort($teams, function($a, $b) {
            return $b['points'].'_'.$b['Goal_difference'] <=> $a['points'].'_'.$a['Goal_difference'];
        });
        $same_points = [];
        //get teams with the same points
        foreach ($teams as $k=>$team){
            $points =  $team['points'];
            $teams[$k]['table_stats']['position'] = $k+1;
            if($k > 0 && $points <> 0){
                if($points == $teams[$k-1]['points']){
                    $same_points [] = [ $team['id'],$teams[$k-1]['id']];
                }
            }
        }

        //second sort by H@H
        if(count($same_points) > 0 && $order_by == 'H2H'){
            foreach ($teams as $k=>$team){
                $teams[$k]['d_order'] = 0;
                foreach ($same_points as $same_point){
                    $id1 = $same_point[0];
                    $id2 = $same_point[1];
                    if($team['id'] == $id1){
                        foreach($team['direct_match'] as $dm){
                            if(isset($dm[$id2]))
                                $teams[$k]['d_order'] = $dm[$id2];
                        }
                    }
                }
            }

            usort($teams, function($a, $b) {
                return $b['points'].'_'.$b['d_order'] <=> $a['points'].'_'.$a['d_order'];
            });
        }


        foreach ($teams as $k=>$team){
            $teams[$k]['table_stats']['position'] = $k+1;

            unset($teams[$k]['direct_match']);
            unset($teams[$k]['points']);
            unset($teams[$k]['Goal_difference']);
            unset($teams[$k]['d_order']);
            unset($teams[$k]['position']);
        }

        //finally clean un necessary data

    $tables_array[] = array(
        'league_id'   => (int)$league_id,
        'season_id'   => (int)$season_id,
        'lang'   =>  $lang,
        'title' => "Order",
        'table_order'  => ["DESC"],
        'table_sp_orderby'  => ["points"],
        'teams'  => $teams,
    );

    // get teams
    close();

    $tables_array = ['table' => $tables_array];
    $json_pretty = json_encode( $tables_array, JSON_UNESCAPED_UNICODE);
    // Output JSON response
    header('Content-Type: application/json');
    echo $json_pretty;
    exit;
}
