<?php
require_once 'config.php';
j2_leagues_matches_past();

function j2_leagues_matches_past(){
    global $wpdb;
    global $conn;
    $lang = isset($_GET['lang']) && strlen($_GET['lang']) === 2 ? $_GET['lang'] : 'ar';
    $id = isset($_GET['id']) && (int)$_GET['id'] ? $_GET['id'] : null;
    $leagues_array = array();
    
    // Get leagues
    $sql = "SELECT * from sp_leagues WHERE lang='{$lang}'";
    if ($id) {
        $sql .= " and term_id={$id}";
    }
    $leagues = query($sql);

    // Get teams
    $sql = "SELECT * from sp_teams WHERE lang='{$lang}'";
    $teams = query($sql);

    // Get matches
    $sql = "SELECT * FROM sp_events 
            WHERE league_id IS NOT NULL 
            AND lang='{$lang}' 
            AND (DATE(post_date) < DATE(NOW()) OR (DATE(post_date) = DATE(NOW()) AND match_status = 'Ended')) 
            AND trash_status IS NULL 
            ORDER BY post_date DESC";

    if ($id) {
        $sql = "SELECT * FROM sp_events 
                WHERE league_id='{$id}' 
                AND lang='{$lang}' 
                AND (DATE(post_date) < DATE(NOW()) OR (DATE(post_date) = DATE(NOW()) AND match_status = 'Ended')) 
                AND trash_status IS NULL 
                ORDER BY post_date DESC";
    }

    $matches = query($sql);

    $siteURLQuery = query("SELECT option_value FROM wp_options WHERE option_name = 'siteurl'");
    $siteURL = $siteURLQuery[0]['option_value'];

    foreach ($leagues as $league) {
        $matches_array = [];
        foreach ($matches as $match) {
            if ($match['league_id'] != $league['term_id']) {
                continue;
            }

            $result = $match['match_result'] ?? '';
            $results = unserialize($result);

            $team_ids = explode(',', $match['teams'] ?? '');
            if (!is_array($team_ids) || !isset($team_ids[1])) {
                continue;
            }

            $key_id = array_search($team_ids[0], array_column($teams, 'ID'));
            $team = $teams[$key_id];
            $resultMatch1 = !empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
            $resultMatch2 = !empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;

            $g1 = isset($resultMatch1['goals']) ? intval($resultMatch1['goals']) : '';
            $g2 = isset($resultMatch2['goals']) ? intval($resultMatch2['goals']) : '';

            if ($g1 == "" && $g2 == "") {
                continue;
            }
            if ($g1 == 0 && $g2 == 0) {
                continue;
            }

            if ($g1 == $g2) {
                $outcome1 = 'draw';
                $outcome2 = 'draw';
            } elseif ($g1 > $g2) {
                $outcome1 = 'win';
                $outcome2 = 'lose';
            } elseif ($g1 < $g2) {
                $outcome1 = 'lose';
                $outcome2 = 'win';
            } else {
                $outcome1 = '';
                $outcome2 = '';
            }

            $first_team = [
                'id' => (int)$team_ids[0],
                'title' => $team['post_title'],
                'image' => $siteURL . '/wp-content/uploads/' . $team['img'],
                'results' => [
                    'firsthalf' => isset($resultMatch1['firsthalf']) ? intval($resultMatch1['firsthalf']) : '',
                    'secondhalf' => isset($resultMatch1['secondhalf']) ? intval($resultMatch1['secondhalf']) : '',
                    'goals' => $g1,
                    'outcome' => $outcome1,
                ],
            ];

            $key_id = array_search($team_ids[1], array_column($teams, 'ID'));
            $team = $teams[$key_id];

            $second_team = [
                'id' => (int)$team_ids[1],
                'title' => $team['post_title'],
                'image' => $siteURL . '/wp-content/uploads/' . $team['img'],
                'results' => [
                    'firsthalf' => isset($resultMatch2['firsthalf']) ? intval($resultMatch2['firsthalf']) : '',
                    'secondhalf' => isset($resultMatch2['secondhalf']) ? intval($resultMatch2['secondhalf']) : '',
                    'goals' => $g2,
                    'outcome' => $outcome2,
                ],
            ];

            $matches_array[] = [
                "id" => (int)$match['ID'],
                "title" => $match['post_title'],
                "date" => substr($match['post_date'], 0, 10),
                "time" => substr($match['post_date'], 10, 8),
                "status" => $match['post_status'],
                "week" => $match['sp_day'],
                "venue" => [$match['venue']],
                "teams" => [
                    'first_team' => $first_team,
                    'second_team' => $second_team
                ]
            ];
        } // end matches loop

        $leagues_array[] = array(
            'id' => (int)$league['term_id'],
            'name' => $league['name'],
            'matches' => $matches_array,
        );
    }

    close();

    $leagues_array = ['leagues' => $leagues_array];
    $json_pretty = json_encode($leagues_array, JSON_UNESCAPED_UNICODE);
    header('Content-Type: application/json');
    echo $json_pretty;
    exit;
}
