<?php
require_once 'config.php';
j2_leagues_matches_past();

function j2_leagues_matches_past(){
    global $wpdb;
    global $conn;

    $lang = isset($_GET['lang']) && strlen($_GET['lang']) === 2 ? $_GET['lang'] : 'en';
    $id = isset($_GET['id']) && (int)$_GET['id'] ? $_GET['id'] : null;
    $posts_per_page = isset($_GET['posts_per_page']) && (int)$_GET['posts_per_page'] ? $_GET['posts_per_page'] : 10;
    
    // Get app season
    $sql = "SELECT *  FROM wp_options WHERE option_name ='app_season'";
    $app_season = query($sql);
    $season_id = (int) $app_season[0]['option_value'];

    $total_posts = query("SELECT COUNT(ID) as count_events FROM sp_events  WHERE  season_id='{$season_id}' and DATE(post_date) <= DATE(NOW()) and lang='{$lang}'")[0];
    $total_posts = (int)$total_posts['count_events'];

    $page = isset($_GET['page']) && (int)$_GET['page'] ? $_GET['page'] : 1;
    $start = ($page - 1) * $posts_per_page;
    $total_pages = ceil($total_posts / $posts_per_page);

    $siteURLQuery = query("SELECT option_value FROM wp_options WHERE option_name = 'siteurl'");
    $siteURL = $siteURLQuery[0]['option_value'];

    // Get leagues with hide_league_in_app not true
    $leagues_query = "SELECT term_id FROM sp_leagues WHERE lang='{$lang}' AND (hide_league_in_app IS NULL OR hide_league_in_app != 'true')";
    $leagues = query($leagues_query);
    $league_ids = array_column($leagues, 'term_id');
    $league_ids_list = implode(',', array_map('intval', $league_ids));

    // Get teams
    $teams_query = "SELECT * FROM sp_teams WHERE lang='{$lang}'";
    $teams = query($teams_query);

    // Get matches
    $matches_query = "SELECT * FROM sp_events 
                      WHERE season_id='{$season_id}'  
                      AND league_id IN ({$league_ids_list})
                      AND league_id IS NOT NULL  
                      AND teams IS NOT NULL 
                      AND lang='{$lang}'   
                      AND trash_status IS NULL
                      AND DATE(post_date) < DATE(NOW()) 
                      ORDER BY post_date DESC 
                      LIMIT {$start}, {$posts_per_page}";
    $matches = query($matches_query);

    $matches_array = [];
    foreach ($matches as $match) {
        $result = $match['match_result'] ?? '';
        $results = unserialize($result);
        $team_ids = explode(',', $match['teams'] ?? '');

        if (!is_array($team_ids) || !isset($team_ids[1]))
            continue;

        $key_id = array_search($team_ids[0], array_column($teams, 'ID'));
        $team = $teams[$key_id];
        $resultMatch1 = !empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
        $resultMatch2 = !empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;

        $g1 = isset($resultMatch1['goals']) ? intval($resultMatch1['goals']) : '';
        $g2 = isset($resultMatch2['goals']) ? intval($resultMatch2['goals']) : '';

        if ($g1 == $g2) {
            $outcome1 = 'draw';
            $outcome2 = 'draw';
        } elseif ($g1 > $g2) {
            $outcome1 = 'win';
            $outcome2 = 'lose';
        } elseif ($g1 < $g2) {
            $outcome1 = 'lose';
            $outcome2 = 'win';
        } else {
            $outcome1 = '';
            $outcome2 = '';
        }

        if ($g1 == "" and $g2 == "")
            continue;
        if ($g1 == 0 and $g2 == 0)
            continue;

        $first_team = [
            'id' => (int)$team_ids[0],
            'title' => $team['post_title'],
            'image' => $siteURL . '/wp-content/uploads/' . $team['img'],
            'results' => [
                'firsthalf' => isset($resultMatch1['firsthalf']) ? intval($resultMatch1['firsthalf']) : '',
                'secondhalf' => isset($resultMatch1['secondhalf']) ? intval($resultMatch1['secondhalf']) : '',
                'goals' => $g1,
                'outcome' => $outcome1,
            ],
        ];

        $key_id = array_search($team_ids[1], array_column($teams, 'ID'));
        $team = $teams[$key_id];

        $second_team = [
            'id' => (int)$team_ids[1],
            'title' => $team['post_title'],
            'image' => $siteURL . '/wp-content/uploads/' . $team['img'],
            'results' => [
                'firsthalf' => isset($resultMatch2['firsthalf']) ? intval($resultMatch2['firsthalf']) : '',
                'secondhalf' => isset($resultMatch2['secondhalf']) ? intval($resultMatch2['secondhalf']) : '',
                'goals' => $g2,
                'outcome' => $outcome2,
            ],
        ];

        $matches_array[] = [
            "id" => (int)$match['ID'],
            "title" => $match['post_title'],
            "date" => substr($match['post_date'], 0, 10),
            "time" => substr($match['post_date'], 10, 8),
            "status" => $match['match_status'],
            "week" => $match['sp_day'],
            "venue" => [$match['venue']],
            "teams" => [
                'first_team' => $first_team,
                'second_team' => $second_team
            ],
            "league" => [$match['league']],
            "league_id" => (int)$match['league_id']
        ];
    }

    close();

    // Prepare the response data
    $response_data = [
        'matches' => $matches_array,
        'matches_count' => count($matches_array)
    ];

    // Encode the response data to JSON
    $json_pretty = json_encode($response_data, JSON_UNESCAPED_UNICODE);

    // Output JSON response
    header('Content-Type: application/json');
    echo $json_pretty;
    exit;
}
?>
