<?php

require_once 'config.php';
get_hide_options();

// Callback function to return hide options
function get_hide_options() {
    global $wpdb;

    // Define the array of option names
    $option_names = array(
        'hide_players',
        'hide_home_menu',
        'hide_local_competition_menu',
        'hide_news_menu',
        'hide_clubs_menu',
        'hide_refree_menu',
        'hide_champions_menu',
        'hide_live_menu',
        'hide_about_menu',
        'hide_sponser_menu',
        'hide_contact_menu',
        'hide_regulations_docs_menu',
        'hide_national_teams',
    );

    // Fetch all options from wp_options table
    $hide_options = array();
    foreach ($option_names as $option_name) {
        $hide_options["show_" . substr($option_name, 5)] = get_option_value($option_name);
    }

    // Convert to JSON
    $hide_options['cache_interval_minutes'] = (int) get_option_value2('cache_interval_minutes');
    $json_data = json_encode($hide_options, JSON_UNESCAPED_UNICODE);

    // Output JSON response
    header('Content-Type: application/json');
    echo $json_data;
    exit;
}

function get_option_value($option_name) {
    global $wpdb;

    // Construct SQL query
    $sql = "SELECT * from wp_options WHERE option_name='{$option_name}'";
    $sqlQ = query($sql);

    // Execute the query
    $option_value = $sqlQ[0]['option_value'];

    // Check if option_value is "yes" and return true, else return false
    return ($option_value === 'yes');
}

function get_option_value2($option_name) {
    global $wpdb;

    // Construct SQL query
    $sql = "SELECT * FROM wp_options WHERE option_name='{$option_name}'";
    $sqlQ = query($sql);

    // Execute the query
    $option_value = $sqlQ[0]['option_value'];

    // If option_value is 0, return 1440
    if ($option_value === '0') {
        return '1440';
    }

    // Otherwise, return the original option_value
    return $option_value;
}
