<?php

require_once 'config.php';
get_page_url();

function get_page_url() {
    $page = isset($_GET['page']) ? $_GET['page'] : '';
    $lang = isset($_GET['lang']) ? $_GET['lang'] : 'ar';

    // Define your page-to-URL mapping
    $page_option_mapping = array(
        'contact' => 'contact_us',
        'about'   => 'about_us',
        'champions'  => 'champions',
        'regulations'   => 'regulations',
        'national_teams'   => 'national',
    );

    // Check if the page parameter is valid
    if (array_key_exists($page, $page_option_mapping)) {
        $option_name = $page_option_mapping[$page];
        $url = get_option_value($option_name);

        // Append the lang parameter to the URL
        $url_with_lang = $url . '?lang=' . $lang;

        $response = array('pageUrl' => $url_with_lang);
    } else {
        $response = array('error' => 'Invalid page parameter');
    }

    // Output JSON response
    header('Content-Type: application/json');
    echo json_encode($response, JSON_UNESCAPED_UNICODE);
    exit;
}


function get_option_value($option_name) {
    global $wpdb;
    // Construct SQL query
    $sql = "SELECT * from wp_options WHERE option_name='{$option_name}'";
    $sqlQ = query($sql);

    // Execute the query
    $option_value = $sqlQ[0]['option_value'];

    // Check if option_value is "yes" and return true, else return false
    return $option_value;
}
