<?php
require_once 'config.php';
j2_team();

function j2_team()
{
    $lang = isset($_GET['lang']) && strlen($_GET['lang']) === 2 ? $_GET['lang'] : 'ar';
    $baseUrl = "https://$_SERVER[HTTP_HOST]";
    $id = isset($_GET['id']) && (int)$_GET['id'] ? $_GET['id'] : null;


    //get teams
    $teams_array = array();

    $sql = "SELECT * from  sp_teams  WHERE ID='{$id}'";
    $team = query($sql)[0];
    $lang = $team['lang'];
    $banner_url = $team['sp_url'];
    //get season
    $sql = "SELECT *  FROM `wp_options` WHERE `option_name` ='app_season'";
    $app_season = query($sql);
    $season_id = (int) $app_season[0]['option_value'];
    //get players
    $sql_players = "SELECT * FROM `sp_player` WHERE `sp_current_team` = '{$id}'";
    $player_data = query($sql_players);
    $players_array = array();
    $siteURLQuery = query("SELECT option_value FROM wp_options WHERE option_name = 'siteurl'");
    $siteURL = $siteURLQuery[0]['option_value'];
    foreach ($player_data as $player) {
        $playerImg = $player['img'] ? $baseUrl . '/wp-content/uploads/' . $player['img'] : '';
        $player_object = array(
            'id' => (int)$player['ID'],
            'title' => $player['post_title'],
            'image' => $playerImg,
            'position' => $player['sp_position'],
            'birthday' => date('Y-m-d', strtotime($player['post_modified'])),
            'nationality' => get_full_nationality_name($player['sp_nationality']??'kuw', $lang),
        );

        $players_array[] = $player_object;
    }

    //get all teams
    $sql = "SELECT * from sp_teams WHERE  lang='{$lang}' ";
    $teams = query($sql);

    foreach($teams as $key => $value)
    {
        unset($teams[$key]);
        $teams[$value['ID']] = $value;
    }

    //get matches
    // $sql = "SELECT * from sp_events WHERE  season_id='{$season_id}' and league_id IS NOT NULL and lang='{$lang}' and teams like '%{$id}%'    order by post_date desc";
$sql = "SELECT * FROM sp_events 
        WHERE season_id='{$season_id}' 
        AND league_id IS NOT NULL 
        AND lang='{$lang}' 
        AND teams LIKE '%{$id}%' 
        AND trash_status IS NULL 
        ORDER BY post_date DESC";

    $matches = query($sql);

    $future_matches = array();
    $past_matches = array();
    $current_date = date('Y-m-d');

    foreach ($matches as $match) {
        $result = $match['match_result']??'';
        $results = unserialize($result);
        $team_ids = explode(',', $match['teams']?? '');

        if(!is_array($team_ids) || !isset($team_ids[1]))
            continue;
        $resultMatch1 = !empty($results[trim($team_ids[0])]) ? $results[trim($team_ids[0])] : null;
        $resultMatch2 = !empty($results[trim($team_ids[1])]) ? $results[trim($team_ids[1])] : null;
        $g1 =isset($resultMatch1['goals']) ? intval($resultMatch1['goals']) : '';
        $g2 =isset($resultMatch2['goals']) ? intval($resultMatch2['goals']) : '';
        $match_date = date('Y-m-d', strtotime($match['post_date']));
        $match_status = $match['match_status'];

        $team1 = $teams[trim($team_ids[0])] ?? [];
        $team2 = $teams[trim($team_ids[1])] ?? [];

        if(empty($team1) or empty($team2) )
            continue;

        //teams data
        $imgTeam = $team1['img'] ? $siteURL . '/wp-content/uploads/' .  $team1['img'] : '';
        $teams_data['first_team'] = array(
            'id' => (int)$team_ids[0],
            'title' => $team1['post_title'],
            'image' => $imgTeam,
            'results' => array(
                'firsthalf' =>   $resultMatch1['firsthalf']??'',
                'secondhalf' =>   $resultMatch1['secondhalf']??'',
                'goals' => (int) $g1,
                'outcome' => $resultMatch1['outcome']??'',
            ),
        );
        $imgTeam2 = $team2['img'] ? $siteURL . '/wp-content/uploads/' . $team2['img'] : '';
        $teams_data['second_team'] = array(
            'id' => (int)$team_ids[1],
            'title' => $team2['post_title'],
            'image' => $imgTeam2,
            'results' => array(
                'firsthalf' =>   $resultMatch2['firsthalf']??'',
                'secondhalf' =>   $resultMatch2['secondhalf']??'',
                'goals' => (int) $g2,
                'outcome' => $resultMatch2['outcome']??'',
            ),
        );


        $venue = $match['venue'];

        $match_object = array(
            'id' => (int)$match['ID'],
            'title' => $match['post_title'],
            'date' => date('Y-m-d', strtotime($match['post_date'])),
            'time' => date('H:i', strtotime($match['post_date'])),
            'status' => $match['match_status'] ??  '',
            'week' => $match['sp_day'] ?? '',
            'venue' =>  array($venue) ?? '',
            'teams' => $teams_data,
            'league' => array($match['league']),
            'seasons' => array($match['season']),
        );


        if (($match_date < $current_date) || ($match_date == $current_date && $match_status == "Ended")) {
            if ($g1 == "" and $g2 == "")
                continue;
            if ($g1 == 0 and $g2 == 0)
                continue;
            $past_matches[] = $match_object;
        } elseif (($match_date > $current_date) || ($match_date == $current_date && $match_status != "Ended")) {
            // Add to $future_matches if the match date is in the future and result goals are zero
            $future_matches[] = $match_object;
        }
    }

    $teamArrayImage = $team['img'] ? $siteURL . '/wp-content/uploads/' . $team['img'] : '';
    $team_array = array(
        'team' => array(
            'id' => $team['ID'],
            'title' => $team['post_title'],
            'image' => $teamArrayImage,
            'banner' => array($banner_url),
            'order' => (int)$team['menu_order'],
        ),
        "players" => $players_array,
        "past_matches" => $past_matches,
        "future_matches" => array_reverse($future_matches),
    );
    $json_pretty = json_encode($team_array, JSON_UNESCAPED_UNICODE);
    header('Content-Type: application/json');

    echo $json_pretty;
    exit;
}



function get_full_nationality_name($short_name, $lang)
{
    // Define arrays for nationalities in different languages
    $nationalities_en = array(
        'alg' => 'Algeria',
        'ang' => 'Angola',
        'ben' => 'Benin',
        'bot' => 'Botswana',
        'bfa' => 'Burkina Faso',
        'bdi' => 'Burundi',
        'cmr' => 'Cameroon',
        'cpv' => 'Cape Verde',
        'cta' => 'Central African Republic',
        'cha' => 'Chad',
        'com' => 'Comoros',
        'cod' => 'Democratic Republic of the Congo',
        'dji' => 'Djibouti',
        'egy' => 'Egypt',
        'eqg' => 'Equatorial Guinea',
        'eri' => 'Eritrea',
        'eth' => 'Ethiopia',
        'gab' => 'Gabon',
        'gam' => 'Gambia',
        'gha' => 'Ghana',
        'gui' => 'Guinea',
        'gnb' => 'Guinea-Bissau',
        'civ' => 'Ivory Coast',
        'ken' => 'Kenya',
        'les' => 'Lesotho',
        'lbr' => 'Liberia',
        'lby' => 'Libya',
        'mad' => 'Madagascar',
        'mli' => 'Mali',
        'mtn' => 'Mauritania',
        'mri' => 'Mauritius',
        'mar' => 'Morocco',
        'moz' => 'Mozambique',
        'nam' => 'Namibia',
        'nig' => 'Niger',
        'nga' => 'Nigeria',
        'cgo' => 'Republic of the Congo',
        'rwa' => 'Rwanda',
        'stp' => 'Sao Tome and Principe',
        'sen' => 'Senegal',
        'sey' => 'Seychelles',
        'sle' => 'Sierra Leone',
        'som' => 'Somalia',
        'rsa' => 'South Africa',
        'ssd' => 'South Sudan',
        'sdn' => 'Sudan',
        'swz' => 'Swaziland',
        'tan' => 'Tanzania',
        'tog' => 'Togo',
        'tun' => 'Tunisia',
        'uga' => 'Uganda',
        'esh' => 'Western Sahara',
        'zam' => 'Zambia',
        'zim' => 'Zimbabwe',
        'afg' => 'Afghanistan',
        'arm' => 'Armenia',
        'aze' => 'Azerbaijan',
        'bhr' => 'Bahrain',
        'ban' => 'Bangladesh',
        'bhu' => 'Bhutan',
        'bru' => 'Brunei',
        'mya' => 'Burma',
        'cam' => 'Cambodia',
        'chn' => 'China',
        'cyp' => 'Cyprus',
        'geo' => 'Georgia',
        'hkg' => 'Hong Kong',
        'ind' => 'India',
        'irn' => 'Iran',
        'irq' => 'Iraq',
        'isr' => 'Israel',
        'jpn' => 'Japan',
        'jor' => 'Jordan',
        'kaz' => 'Kazakhstan',
        'kuw' => 'Kuwait',
        'kgz' => 'Kyrgyzstan',
        'lao' => 'Laos',
        'lib' => 'Lebanon',
        'mac' => 'Macau',
        'mas' => 'Malaysia',
        'mdv' => 'Maldives',
        'mng' => 'Mongolia',
        'nep' => 'Nepal',
        'prk' => 'North Korea',
        'oma' => 'Oman',
        'pak' => 'Pakistan',
        'ple' => 'Palestine',
        'phi' => 'Philippines',
        'qat' => 'Qatar',
        'ksa' => 'Saudi Arabia',
        'sin' => 'Singapore',
        'kor' => 'South Korea',
        'sri' => 'Sri Lanka',
        'syr' => 'Syria',
        'tpe' => 'Taiwan',
        'tjk' => 'Tajikistan',
        'tha' => 'Thailand',
        'tkm' => 'Turkmenistan',
        'uae' => 'United Arab Emirates',
        'uzb' => 'Uzbekistan',
        'vie' => 'Vietnam',
        'yem' => 'Yemen',
        'alb' => 'Albania',
        'and' => 'Andorra',
        'aut' => 'Austria',
        'blr' => 'Belarus',
        'bel' => 'Belgium',
        'bih' => 'Bosnia and Herzegovina',
        'bul' => 'Bulgaria',
        'cro' => 'Croatia',
        'cze' => 'Czech Republic',
        'den' => 'Denmark',
        'eng' => 'England',
        'est' => 'Estonia',
        'fro' => 'Faroe Islands',
        'fin' => 'Finland',
        'fra' => 'France',
        'ger' => 'Germany',
        'gre' => 'Greece',
        'hun' => 'Hungary',
        'isl' => 'Iceland',
        'irl' => 'Ireland',
        'ita' => 'Italy',
        'kos' => 'Kosovo',
        'lva' => 'Latvia',
        'lie' => 'Liechtenstein',
        'ltu' => 'Lithuania',
        'lux' => 'Luxembourg',
        'mkd' => 'Macedonia',
        'mwi' => 'Malawi',
        'mlt' => 'Malta',
        'mda' => 'Moldova',
        'mco' => 'Monaco',
        'mne' => 'Montenegro',
        'ned' => 'Netherlands',
        'nir' => 'Northern Ireland',
        'nor' => 'Norway',
        'pol' => 'Poland',
        'por' => 'Portugal',
        'rou' => 'Romania',
        'rus' => 'Russia',
        'smr' => 'San Marino',
        'sco' => 'Scotland',
        'srb' => 'Serbia',
        'svk' => 'Slovakia',
        'svn' => 'Slovenia',
        'esp' => 'Spain',
        'swz' => 'Swaziland',
        'swe' => 'Sweden',
        'sui' => 'Switzerland',
        'tur' => 'Turkey',
        'ukr' => 'Ukraine',
        'gbr' => 'United Kingdom',
        'vat' => 'Vatican City',
        'wal' => 'Wales',
        'aia' => 'Anguilla',
        'atg' => 'Antigua and Barbuda',
        'aru' => 'Aruba',
        'bah' => 'Bahamas',
        'brb' => 'Barbados',
        'blz' => 'Belize',
        'ber' => 'Bermuda',
        'vgb' => 'British Virgin Islands',
        'can' => 'Canada',
        'cay' => 'Cayman Islands',
        'crc' => 'Costa Rica',
        'cub' => 'Cuba',
        'cuw' => 'Curacao',
        'dma' => 'Dominica',
        'dom' => 'Dominican Republic',
        'slv' => 'El Salvador',
        'grn' => 'Grenada',
        'gua' => 'Guatemala',
        'hai' => 'Haiti',
        'hon' => 'Honduras',
        'jam' => 'Jamaica',
        'mex' => 'Mexico',
        'msr' => 'Montserrat',
        'nca' => 'Nicaragua',
        'pan' => 'Panama',
        'pur' => 'Puerto Rico',
        'skn' => 'Saint Kitts and Nevis',
        'lca' => 'Saint Lucia',
        'vin' => 'Saint Vincent and the Grenadines',
        'tca' => 'Turks and Caicos Islands',
        'vir' => 'US Virgin Islands',
        'usa' => 'United States',
        'wif' => 'West Indies',
        'asa' => 'American Samoa',
        'aus' => 'Australia',
        'cok' => 'Cook Islands',
        'tls' => 'East Timor',
        'fij' => 'Fiji',
        'gum' => 'Guam',
        'idn' => 'Indonesia',
        'kir' => 'Kiribati',
        'mhl' => 'Marshall Islands',
        'fsm' => 'Micronesia',
        'nru' => 'Nauru',
        'ncl' => 'New Caledonia',
        'nzl' => 'New Zealand',
        'plw' => 'Palau',
        'png' => 'Papua New Guinea',
        'sam' => 'Samoa',
        'sol' => 'Solomon Islands',
        'tah' => 'Tahiti',
        'tga' => 'Tonga',
        'tuv' => 'Tuvalu',
        'van' => 'Vanuatu',
        'arg' => 'Argentina',
        'bol' => 'Bolivia',
        'bra' => 'Brazil',
        'chi' => 'Chile',
        'col' => 'Colombia',
        'ecu' => 'Ecuador',
        'guy' => 'Guyana',
        'par' => 'Paraguay',
        'per' => 'Peru',
        'sur' => 'Suriname',
        'tri' => 'Trinidad and Tobago',
        'uru' => 'Uruguay',
        'ven' => 'Venezuela',
    );

    $nationalities_ar = array(
        'alg' => 'الجزائر',
        'ang' => 'أنغولا',
        'ben' => 'بنين',
        'bot' => 'بتسوانا',
        'bfa' => 'بوركينا فاسو',
        'bdi' => 'بوروندي',
        'cmr' => 'الكاميرون',
        'cpv' => 'الرأس الأخضر',
        'cta' => 'جمهورية أفريقيا الوسطى',
        'cha' => 'تشاد',
        'com' => 'جزر القمر',
        'cod' => 'جمهورية الكونغو الديمقراطية',
        'dji' => 'جيبوتي',
        'egy' => 'مصر',
        'eqg' => 'غينيا الاستوائية',
        'eri' => 'إريتريا',
        'eth' => 'إثيوبيا',
        'gab' => 'الغابون',
        'gam' => 'غامبيا',
        'gha' => 'غانا',
        'gui' => 'غينيا',
        'gnb' => 'غينيا بيساو',
        'civ' => 'ساحل العاج',
        'ken' => 'كينيا',
        'les' => 'ليسوتو',
        'lbr' => 'ليبيريا',
        'lby' => 'ليبيا',
        'mad' => 'مدغشقر',
        'mli' => 'مالي',
        'mtn' => 'موريتانيا',
        'mri' => 'موريشيوس',
        'mar' => 'المغرب',
        'moz' => 'موزمبيق',
        'nam' => 'ناميبيا',
        'nig' => 'نيجيريا',
        'nga' => 'نيجيريا',
        'cgo' => 'جمهورية الكونغو',
        'rwa' => 'رواندا',
        'stp' => 'ساو تومي وبرينسيبي',
        'sen' => 'السنغال',
        'sey' => 'سيشل',
        'sle' => 'سيراليون',
        'som' => 'الصومال',
        'rsa' => 'جنوب أفريقيا',
        'ssd' => 'جنوب السودان',
        'sdn' => 'السودان',
        'swz' => 'إسواتيني',
        'tan' => 'تنزانيا',
        'tog' => 'توجو',
        'tun' => 'تونس',
        'uga' => 'أوغندا',
        'esh' => 'الصحراء الغربية',
        'zam' => 'زامبيا',
        'zim' => 'زيمبابوي',
        'afg' => 'أفغانستان',
        'arm' => 'أرمينيا',
        'aze' => 'أذربيجان',
        'bhr' => 'البحرين',
        'ban' => 'بنغلاديش',
        'bhu' => 'بوتان',
        'bru' => 'بروناي',
        'mya' => 'بورما',
        'cam' => 'كمبوديا',
        'chn' => 'الصين',
        'cyp' => 'قبرص',
        'geo' => 'جورجيا',
        'hkg' => 'هونغ كونغ',
        'ind' => 'الهند',
        'irn' => 'إيران',
        'irq' => 'العراق',
        'isr' => 'إسرائيل',
        'jpn' => 'اليابان',
        'jor' => 'الأردن',
        'kaz' => 'كازاخستان',
        'kuw' => 'الكويت',
        'kgz' => 'قرغيزستان',
        'lao' => 'لاوس',
        'lib' => 'لبنان',
        'mac' => 'ماكاو',
        'mas' => 'ماليزيا',
        'mdv' => 'جزر المالديف',
        'mng' => 'منغوليا',
        'nep' => 'نيبال',
        'prk' => 'كوريا الشمالية',
        'oma' => 'عمان',
        'pak' => 'باكستان',
        'ple' => 'فلسطين',
        'phi' => 'الفيلبين',
        'qat' => 'قطر',
        'ksa' => 'المملكة العربية السعودية',
        'sin' => 'سنغافورة',
        'kor' => 'كوريا الجنوبية',
        'sri' => 'سريلانكا',
        'syr' => 'سوريا',
        'tpe' => 'تايوان',
        'tjk' => 'طاجيكستان',
        'tha' => 'تايلاند',
        'tkm' => 'تركمانستان',
        'uae' => 'الإمارات العربية المتحدة',
        'uzb' => 'أوزبكستان',
        'vie' => 'فيتنام',
        'yem' => 'اليمن',
        'alb' => 'ألبانيا',
        'and' => 'أندورا',
        'aut' => 'النمسا',
        'blr' => 'بيلاروس',
        'bel' => 'بلجيكا',
        'bih' => 'البوسنة والهرسك',
        'bul' => 'بلغاريا',
        'cro' => 'كرواتيا',
        'cze' => 'التشيك',
        'den' => 'الدانمارك',
        'eng' => 'إنجلترا',
        'est' => 'إستونيا',
        'fro' => 'جزر فارو',
        'fin' => 'فنلندا',
        'fra' => 'فرنسا',
        'ger' => 'ألمانيا',
        'gre' => 'اليونان',
        'hun' => 'هنغاريا',
        'isl' => 'أيسلندا',
        'irl' => 'أيرلندا',
        'ita' => 'إيطاليا',
        'kos' => 'كوسوفو',
        'lva' => 'لاتفيا',
        'lie' => 'ليختنشتاين',
        'ltu' => 'ليتوانيا',
        'lux' => 'لوكسمبورغ',
        'mkd' => 'مقدونيا',
        'mwi' => 'ملاوي',
        'mlt' => 'مالطا',
        'mda' => 'مولدوفا',
        'mco' => 'موناكو',
        'mne' => 'الجبل الأسود',
        'ned' => 'هولندا',
        'nir' => 'إيرلندا الشمالية',
        'nor' => 'النرويج',
        'pol' => 'بولندا',
        'por' => 'البرتغال',
        'rou' => 'رومانيا',
        'rus' => 'روسيا',
        'smr' => 'سان مارينو',
        'sco' => 'اسكتلندا',
        'srb' => 'صربيا',
        'svk' => 'سلوفاكيا',
        'svn' => 'سلوفينيا',
        'esp' => 'إسبانيا',
        'swe' => 'السويد',
        'sui' => 'سويسرا',
        'tur' => 'تركيا',
        'ukr' => 'أوكرانيا',
        'gbr' => 'المملكة المتحدة',
        'vat' => 'الفاتيكان',
        'wal' => 'ويلز',
        'aia' => 'أنغويلا',
        'atg' => 'أنتيغوا وبربودا',
        'aru' => 'أروبا',
        'bah' => 'البهاما',
        'brb' => 'بربادوس',
        'blz' => 'بليز',
        'ber' => 'برمودا',
        'vgb' => 'جزر العذراء البريطانية',
        'can' => 'كندا',
        'cay' => 'جزر كايمان',
        'crc' => 'كوستا ريكا',
        'cub' => 'كوبا',
        'cuw' => 'كوراساو',
        'dma' => 'دومينيكا',
        'dom' => 'جمهورية الدومينيكان',
        'slv' => 'السلفادور',
        'grn' => 'غرينادا',
        'gua' => 'غواتيمالا',
        'hai' => 'هايتي',
        'hon' => 'هندوراس',
        'jam' => 'جامايكا',
        'mex' => 'المكسيك',
        'msr' => 'مونتسرات',
        'nca' => 'نيكاراغوا',
        'pan' => 'بنما',
        'pur' => 'بورتوريكو',
        'skn' => 'سانت كيتس ونيفيس',
        'lca' => 'سانت لوسيا',
        'vin' => 'سانت فنسنت وجزر الغرينادين',
        'tca' => 'جزر توركس وكايكوس',
        'vir' => 'جزر فيرجن الأمريكية',
        'usa' => 'الولايات المتحدة',
        'wif' => 'الهند الغربية',
        'asa' => 'ساموا الأمريكية',
        'aus' => 'أستراليا',
        'cok' => 'جزر كوك',
        'tls' => 'تيمور الشرقية',
        'fij' => 'فيجي',
        'gum' => 'غوام',
        'idn' => 'إندونيسيا',
        'kir' => 'كيريباتي',
        'mhl' => 'جزر مارشال',
        'fsm' => 'ميكرونيزيا',
        'nru' => 'ناورو',
        'ncl' => 'كاليدونيا الجديدة',
        'nzl' => 'نيوزيلندا',
        'plw' => 'بالاو',
        'png' => 'بابوا غينيا الجديدة',
        'sam' => 'ساموا',
        'sol' => 'جزر سليمان',
        'tah' => 'تاهيتي',
        'tga' => 'تونغا',
        'tuv' => 'توفالو',
        'van' => 'فانواتو',
        'arg' => 'الأرجنتين',
        'bol' => 'بوليفيا',
        'bra' => 'البرازيل',
        'chi' => 'تشيلي',
        'col' => 'كولومبيا',
        'ecu' => 'الإكوادور',
        'guy' => 'غيانا',
        'par' => 'باراغواي',
        'per' => 'بيرو',
        'sur' => 'سورينام',
        'tri' => 'ترينيداد وتوباغو',
        'uru' => 'أوروغواي',
        'ven' => 'فنزويلا',

    );

    // Choose the appropriate array based on the language parameter
    $nationalities = ($lang == 'ar') ? $nationalities_ar : $nationalities_en;

    // Check if the short name exists in the mapping, return full name if found, otherwise return the short name
    return isset($nationalities[$short_name]) ? $nationalities[$short_name] : $short_name;
}



