<?php

require_once 'config.php';
get_match_results($data);

// Callback function for getting team results
function get_match_results($data) {
	global $wpdb;

    $match_id = $_GET['match_id'] ? $_GET['match_id'] : 0;
    
    $lang = isset($_GET['lang']) ? $_GET['lang'] : '';

    // Use $wpdb to perform a custom SQL query
    $results =
            "SELECT meta_value FROM wp_postmeta 
             WHERE post_id = {$match_id} AND meta_key = 'sp_results'";
             
    $results = query($results);
    
    $results = unserialize($results[0]['meta_value']);
    
	// Initialize arrays to store team data
	$team_data = array();

	// Get team IDs
	$team_ids = !empty($results) ? array_keys($results) : array();
	
	// Loop through each team ID
	foreach ($team_ids as $index => $team_id) {
		$team_id = !empty($team_id) ? (int) $team_id : null;

		// Get team post data with translation support
		$team_post = $team_id;

		$resultMatch = !empty($results[$team_id]) ? $results[$team_id] : null;
		

		// Check if the team post exists
		if ($team_post) {
			$team_type = ($index == 0) ? 'first_team' : 'second_team';

			$team_data[$team_type] = array(
				'id' => $team_id,
				'results' => array(
					'firsthalf'  => isset($resultMatch['firsthalf']) ? strval($resultMatch['firsthalf']) : '',
					'secondhalf' => isset($resultMatch['secondhalf']) ? strval($resultMatch['secondhalf']) : '',
					'goals'      => isset($resultMatch['goals']) ? strval($resultMatch['goals']) : '',
					'outcome'    => isset($resultMatch['outcome']) ? 
					(is_array($resultMatch['outcome']) ? 
					 strval(current($resultMatch['outcome'])) : 
					 strval($resultMatch['outcome'])
					) : '',

				),
			);
		}
	}
	
    $datamatch = array(
        'match_id' => (int) $match_id,
        'results' => !empty($team_data) ? $team_data : null,
    );

    // Convert to JSON
    $json_data = json_encode($datamatch, JSON_UNESCAPED_UNICODE);
    // Output JSON response
    header('Content-Type: application/json');
    echo $json_data;
    exit;

	
}
